curl -X POST "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"title": "Demo with Acme",
"start_at": "2024-01-20T15:00:00Z",
"end_at": "2024-01-20T15:30:00Z",
"type": "meeting",
"attendees": [{"name":"Jane Doe","email":"[email protected]"}]
}'
{
"success": true,
"data": {
"id": "event-uuid-1",
"calendar_id": "calendar-uuid-1",
"title": "Demo with Acme",
"start_at": "2024-01-20T15:00:00Z",
"end_at": "2024-01-20T15:30:00Z",
"status": "confirmed",
"type": "meeting"
}
}
Events
Create Calendar Event
Create an event on a calendar
POST
/
api
/
v1
/
calendars
/
{calendar_id}
/
events
curl -X POST "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"title": "Demo with Acme",
"start_at": "2024-01-20T15:00:00Z",
"end_at": "2024-01-20T15:30:00Z",
"type": "meeting",
"attendees": [{"name":"Jane Doe","email":"[email protected]"}]
}'
{
"success": true,
"data": {
"id": "event-uuid-1",
"calendar_id": "calendar-uuid-1",
"title": "Demo with Acme",
"start_at": "2024-01-20T15:00:00Z",
"end_at": "2024-01-20T15:30:00Z",
"status": "confirmed",
"type": "meeting"
}
}
Create Calendar Event
Create a new event on a calendar.Endpoint
POST /api/v1/calendars/{calendar_id}/events
Path parameters
string
required
Calendar UUID.
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_herestring
required
Must be
application/json.Request body
string
required
Event title.
string
Optional description.
string
required
Start time. ISO 8601.
string
required
End time. ISO 8601. Must be after
start_at.string
Options:
confirmed, tentative, cancelled. Default: confirmed.string
Free-form event type tag (e.g.,
meeting, block, appointment).string
UUID of the creating user.
string
UUID of the owner (user or agent).
string
Owner type. Options:
user, agent.array
Array of
{ name, email } objects.Examples
curl -X POST "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"title": "Demo with Acme",
"start_at": "2024-01-20T15:00:00Z",
"end_at": "2024-01-20T15:30:00Z",
"type": "meeting",
"attendees": [{"name":"Jane Doe","email":"[email protected]"}]
}'
Response
{
"success": true,
"data": {
"id": "event-uuid-1",
"calendar_id": "calendar-uuid-1",
"title": "Demo with Acme",
"start_at": "2024-01-20T15:00:00Z",
"end_at": "2024-01-20T15:30:00Z",
"status": "confirmed",
"type": "meeting"
}
}
Was this page helpful?